com.trendmicro.ds.appcontrol.rest.object.drift

## Class ListHostGroupsResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.ListHostGroupsResponse

-     public class ListHostGroupsResponse
      extends java.lang.Object

  Response object for the ListHostGroups API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListHostGroupsResponse()`
    `ListHostGroupsResponse(DriftHostGroup hostGroup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DriftHostGroup` | `getDriftHostGroup()` Get the tree of host groups where drift has occurred within the search scope.
    `void` | `setDriftHostGroup(DriftHostGroup hostGroup)` Set the tree of host groups where drift has occurred within the search scope.
    `ListHostGroupsResponse` | `withDriftHostGroup(DriftHostGroup hostGroup)` Set the tree of host groups where drift has occurred within the search scope.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListHostGroupsResponse

          public ListHostGroupsResponse()

    - #### ListHostGroupsResponse

          public ListHostGroupsResponse(DriftHostGroup hostGroup)

  - ### Method Detail

    - #### getDriftHostGroup

          public DriftHostGroup getDriftHostGroup()

      Get the tree of host groups where drift has occurred within the search scope.
      Returns:
        the tree of host groups where drift has occurred within the search scope.

    - #### setDriftHostGroup

          public void setDriftHostGroup(DriftHostGroup hostGroup)

      Set the tree of host groups where drift has occurred within the search scope.
      Parameters:
        `hostGroup` - the tree of host groups where drift has occurred within the search scope.

    - #### withDriftHostGroup

          public ListHostGroupsResponse withDriftHostGroup(DriftHostGroup hostGroup)

      Set the tree of host groups where drift has occurred within the search scope.
      Parameters:
        `hostGroup` - the tree of host groups where drift has occurred within the search scope.
      Returns:
        the updated DescribeDriftResponse object

Copyright © 2017 Trend Micro Inc. All Rights Reserved.